modnum_util = lib(MODNUMCOS+'/macros/build_util/');
u           = mopen(MODNUMCOS+"/loader.sce","w");
tt_path     = 'MODNUMCOS';
txt         = write_header(u,'generate_loader.sce',tt_path);
if WITH_FFTW3=="1" then
  txt=['//Define MODNUMFFT'
       'global MODNUMFFT;'
       'MODNUMFFT=2;'
       ''];
  fprintf(u,"%s\n",txt);
end
libs        = ['build_util';
               'pll';
               'scicos_overload';
               'scicos_util';
               'signal'];
rep_lib    = '/macros/'+libs;
lib_name   = 'modnum_'+libs;
txt        = write_inf_lib(u,rep_lib,lib_name,1,tt_path);
pal        = ['Communication';
              'Filter';
              'Integer';
              'NonLinear';
              'Pll';
              'Signal';
              'Sinks';
              'Sources';
              'Tools';
              'Old'];
rep        = '/macros/scicos_blocks/';
rep_pal    = rep+pal;
pal_name   = ['com';
              'filter';
              'integer';
              'nonlinear';
              'pll';
              'signal';
              'sinks';
              'sources';
              'tools';
              'old'];
pal_title  = 'modnum_'+pal;
lib_name   = 'modnum_'+pal_name+'_pal';
fprintf(u,"%s\n",'//Load modnum scicos_blocks library');
txt        = write_inf_lib(u,rep_pal,lib_name,0,tt_path);
txt        = write_inf_pal(u,rep+'Modnum.cosf','Modnum');
path       = '/../../src';
files      = basename(listfiles(MODNUMCOS+path+'/*.c'));
libname    = "libmodnum_lib";
libmodnum  = libname;
txt        = write_inf_rout_lib(u,libname,path,files,0,tt_path);
path       = ['/routines/communication';
              '/routines/filter';
              '/routines/integer';
              '/routines/nonlinear';
              '/routines/old';
              '/routines/other';
              '/routines/pll';
              '/routines/signal';
              '/routines/sinks';
              '/routines/sources';
              '/routines/tools'];
libname    = ["libmodnum_comm_c";
              "libmodnum_filt_c";
              "libmodnum_int_c";
              "libmodnum_nlin_c";
              "libmodnum_old_c";
              "libmodnum_oth_c";
              "libmodnum_pll_c";
              "libmodnum_signal_c";
              "libmodnum_sink_c";
              "libmodnum_src_c";
              "libmodnum_tool_c"];
for i=1:size(libname,1)
  files_c  = basename(listfiles(MODNUMCOS+path(i)+'/*.c'));
  fprintf(u,"%s\n",'if ~MSDOS then');
  txt      = write_inf_rout_lib(u,libname(i),path(i),files_c,1,tt_path);
  fprintf(u,"%s\n",'else');
  fprintf(u,"%s\n",strsubst(txt,'.so','.dll'));
  fprintf(u,"%s\n\n",'end');
end

for i=1:size(libname,1)
  libname(i)='MODNUMCOS+'''+path(i)+'/'+libname(i)+'.so''';
end
libname($+1)='MODNUMCOS+'''+'/../../src'+'/'+libmodnum+'.so''';

txt=['//mark modnum libraries as external scicos libraries'
     'if MSDOS then'
     '  libnam=['+strcat(strsubst(libname,'.so','.dll'),',')+'];'
     'else'
     '  libnam=['+strcat(libname,',')+'];'
     'end'
     'if exists(''%scicos_libs'') then'
     '  for i=1:size(libnam,2)'
     '    if find(libnam(i)==%scicos_libs)==[] then'
     '      %scicos_libs=[%scicos_libs,libnam(i)];'
     '    end'
     '  end'
     'else'
     '  if MSDOS then'
     '    %scicos_libs=['+strcat(strsubst(libname,'.so','.dll'),',')+'];'
     '  else'
     '    %scicos_libs=['+strcat(libname,',')+'];'
     '  end'
     'end'
     'clear libname'
     ''];
fprintf(u,"%s\n",txt);
txt=['//declare modnum scopes'
     'scoplst=[''eye_scope''       ''ipar(1)'';'
     '         ''vectorscopexy41'' ''ipar(1)'';'
     '         ''pspec_scope''     ''ipar(9)'';'
     '         ''vectorscope41''   ''ipar(1)''];'
     'if exists(''list_of_scopes'') then'
     '  for i=1:size(scoplst,1)'
     '    if find(scoplst(i,1)==list_of_scopes(:,1))==[] then'
     '      list_of_scopes=[list_of_scopes;scoplst(i,:)];'
     '    end'
     '  end'
     'else'
     '  list_of_scopes=scoplst;'
     'end'
     'clear scoplst'
     ''];
fprintf(u,"%s\n",txt);
tt_help    = 'myhelps=[MODNUMCOS+''/help/''+lang+''/htm'',...
               ""Modnum communication toolbox (Scicos)""];';
tt_demos   = ['add_demo(''Modnum (Scicos)'',MODNUMCOS+''/demos/modnumcos.dem'');'];
txt        = write_inf_doc(u,tt_path,tt_help,tt_demos);
txt        = write_inf_contrib(u);
mclose(u);
txt        = mgetl('loader.sce');
mputl(txt,'.scilab');
